import * as React from 'react';
import Avatar from '@mui/material/Avatar';
import Stack from '@mui/material/Stack';
import { url } from '../../App';

export default function ImageAvatars({ userData }) {
    // console.log('UserData: ', userData)
    // console.log('SRC: ', userData.avatar?.url)
    const urlAvatar = url.slice(0, -7) + userData.avatar?.url

    return (
        <Stack direction="row" spacing={1}>
            <Avatar alt={userData.login} src={urlAvatar} sx={{ width: 100, height: 100 }} />
        </Stack>
    );
}



