import * as React from 'react';
import { useParams } from 'react-router-dom';
// import { store } fro m '../redux';
// import Box from '@mui/material/Box';
import CardContent from '@mui/material/CardContent';
import Typography from '@mui/material/Typography';

import Button from '@mui/material/Button';
// import DeleteIcon from '@mui/icons-material/Delete';
// import SendIcon from '@mui/icons-material/Send';
import Stack from '@mui/material/Stack';
import ManageAccountsOutlinedIcon from '@mui/icons-material/ManageAccountsOutlined';

const myId = ((JSON.parse(atob(localStorage.authToken.split('.')[1]))).sub.id)


function UptadeProfile() {

    // function UptadeProfile({ followingsArr }) {
    const { userId } = useParams()
    // console.log(111, userId)
    // console.log(222, followingsArr)

    // если я - выводим кнопку редактирования
    if (userId === myId) {
        return (
            < Stack direction="row" spacing={2} >
                <Button variant="outlined" startIcon={<ManageAccountsOutlinedIcon />} disableRipple>Редактировать аккаунт</Button>
            </Stack >
        )
    }
    // else if (followingsArr.includes(userId)) {
    //     // если подписчик - выводим кнопку "отписаться"
    //     < Stack direction="row" spacing={2} >
    //         <Button variant="outlined" startIcon={<ManageAccountsOutlinedIcon />} disableRipple>Отписаться</Button>
    //     </Stack >

    // } else {
    //     // если не подписчик - выводим кнопку "подписаться"
    //     < Stack direction="row" spacing={2} >
    //         <Button variant="outlined" startIcon={<ManageAccountsOutlinedIcon />} disableRipple>Подписаться</Button>
    //     </Stack >
    // }

}

// блок пользовательских данных
export default function BasicCard({ userData }) {
    // console.log(1232, userData.followingsArr)

    return (
        <CardContent sx={{ width: '100%', paddingTop: 0 }}>
            <Stack direction="row" spacing={5}>
                <Typography variant="h5" component="div">
                    {userData.login}
                </Typography>
                <UptadeProfile followingsArr={userData.followingsArr} />
            </Stack>
            <Stack direction="row" spacing={5} marginTop={3}>
                <Typography color="text.secondary">
                    NaN Публикаций
                </Typography>
                <Typography color="text.secondary">
                    {userData.followers?.length || '0'} подписчиков
                </Typography>
                <Typography color="text.secondary">
                    {userData.following?.length || '0'} подписок
                </Typography>
            </Stack>
            <Typography sx={{ mb: 1.5 }} marginTop={3} variant="body1">
                {userData.nick || ''}
            </Typography>
        </CardContent>
    )
}
